require("factsheet")

local heu_fuel_recipe = data.raw.recipe["uranium-fuel-cell"]
local heu_fuel_item = data.raw.item["uranium-fuel-cell"]
local heu_fuel_reproc = data.raw.recipe["nuclear-fuel-reprocessing"]
heu_fuel_recipe.ingredients = {
	{"uranium-235",1},
	{"uranium-238",5},
	{"iron-plate",3}
}
heu_fuel_recipe.result = "uranium-fuel-cell"
heu_fuel_recipe.result_count = 3
heu_fuel_recipe.results = nil
heu_fuel_reproc.results = {{"uranium-238",5}}
heu_fuel_item.fuel_value = "100GJ"


-- Increasing height of plumbing entities
-- improves megareactor performance.

-- water pump
data.raw["offshore-pump"]["offshore-pump"]
.fluid_box.height = 
	(data.raw["offshore-pump"]["offshore-pump"]
	.fluid_box.height or 1)/gen_eff

-- powered pump
data.raw.pump["pump"]
.fluid_box.height =
	(data.raw.pump["pump"]
	.fluid_box.height or 1)/gen_eff
data.raw.pump["pump"]
.pumping_speed = 
	data.raw.pump["pump"].pumping_speed/gen_eff

-- iron pipes
data.raw.pipe.pipe
.fluid_box.height = 
	(data.raw.pipe.pipe
	.fluid_box.height or 1)/gen_eff
data.raw["pipe-to-ground"]["pipe-to-ground"]
.fluid_box.height =
	(data.raw["pipe-to-ground"]["pipe-to-ground"]
	.fluid_box.height or 1)/gen_eff

